import React from "react";
import { Link } from "react-router-dom";
import { useSelector } from "react-redux";

import "./index.scss";
import Star from "../../assets/img/star.ico";
import LogoutButton from "../buttons/LogoutButton";

const Navbar = () => {
	const currentUser = useSelector((state) => state.currentUser);

	return (
		<div className="navbar">
			<div className="navbar__LeftSide">
				<Link to="/">
					<img
						src={Star}
						className="navbar__Icon"
						alt="Temporary icon"
						width="25"
						height="25"
					/>
					<p className="navbar__BrandName">Registra</p>
				</Link>
			</div>
			<div className="navbar__RightSide">
				{!currentUser && (
					<>
						<Link to="/signup">
							<button>S'inscrire</button>
						</Link>
						<Link to="/login">
							<button>Se connecter</button>
						</Link>
					</>
				)}
				{currentUser && (
					<>
						<Link to="/me">
							<button>Profile</button>
						</Link>
						<LogoutButton />
					</>
				)}
			</div>
		</div>
	);
};

export default Navbar;
