import React from "react";
import { useDispatch } from "react-redux";
import { useHistory } from "react-router-dom";
import Cookies from "js-cookie";
import { removeCurrentUser } from "../../../redux/action/index";

const LogoutButton = () => {
	const dispatch = useDispatch();
	const history = useHistory();

	const handleLogout = (event) => {
		event.preventDefault();
		Cookies.remove("token");
		dispatch(removeCurrentUser());
		localStorage.removeItem("persist:root");
		history.push("/");
	};

	return <button onClick={handleLogout}>Déconnexion</button>;
};

export default LogoutButton;
